using System;
using System.ComponentModel.Design;
class Program
{
    
    static void Main()
    {

        
         int t = int.Parse(Console.ReadLine());
          string[] s = Console.ReadLine().Split();
          long n = long.Parse(s[0]);
          long k = long.Parse(s[1]);
          string[] s1 = Console.ReadLine().Split();
          long a = long.Parse(s1[0]);

          long p = n % 2;
          if (k != a && k != a + 1) Console.WriteLine("NE");
          else
          {
              if (a % 2 == p)
              {
                  if (k == a)
                  {
                      Console.WriteLine("DA");
                     // for (long i = 0; i < n; i++) Console.Write(a + " ");
                  }
                  else Console.WriteLine("NE");

              }
              else
              {
                  if (k == a+1)
                  {
                      Console.WriteLine("DA");
                     // for (long i = 0; i < n; i++) Console.Write(a + " ");
                  }
                  else Console.WriteLine("NE");
              }
          }
    }
}